<?xml version="1.0" ?>

<feature-spec xmlns="urn:jboss:galleon:feature-spec:2.0" name="subsystem.messaging-activemq.server.ha-policy.replication-colocated" stability="default">
    <annotation name="jboss-op">
        <elem name="name" value="add"/>
        <elem name="op-params" value="backup-port-offset,backup-request-retries,backup-request-retry-interval,excluded-connectors,max-backups,request-backup"/>
        <elem name="addr-params" value="profile,subsystem,server,ha-policy"/>
    </annotation>
    <annotation name="feature-branch">
        <elem name="id" value="subsystem.messaging-activemq"/>
    </annotation>
    <refs>
        <ref feature="subsystem.messaging-activemq.server"/>
        <ref feature="subsystem.messaging-activemq"/>
        <ref feature="profile" nillable="true"/>
    </refs>
    <params>
        <param name="server" feature-id="true"/>
        <param name="backup-port-offset" nillable="true" stability="default"/>
        <param name="ha-policy" feature-id="true" default="replication-colocated"/>
        <param name="max-backups" nillable="true" stability="default"/>
        <param name="backup-request-retry-interval" nillable="true" stability="default"/>
        <param name="excluded-connectors" nillable="true" type="List&lt;String&gt;" stability="default"/>
        <param name="backup-request-retries" nillable="true" stability="default"/>
        <param name="profile" feature-id="true" default="GLN_UNDEFINED"/>
        <param name="subsystem" feature-id="true" default="messaging-activemq"/>
        <param name="request-backup" nillable="true" stability="default"/>
    </params>
</feature-spec>